org.apache.catalina.authenticator

## Class DigestAuthenticator.DigestInfo

- java.lang.Object
- - org.apache.catalina.authenticator.DigestAuthenticator.DigestInfo

- Enclosing class:
    DigestAuthenticator

      public static class DigestAuthenticator.DigestInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestAuthenticator.DigestInfo(String opaque, long nonceValidity, String key, Map<String,DigestAuthenticator.NonceInfo> nonces, boolean validateUri)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Principal` | `authenticate(Realm realm)`
    `String` | `getUsername()`
    `boolean` | `isNonceStale()`
    `boolean` | `parse(Request request, String authorization)`
    `boolean` | `validate(Request request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigestAuthenticator.DigestInfo

          public DigestAuthenticator.DigestInfo(String opaque,
                                        long nonceValidity,
                                        String key,
                                        Map<String,DigestAuthenticator.NonceInfo> nonces,
                                        boolean validateUri)

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### parse

          public boolean parse(Request request,
                      String authorization)

    - #### validate

          public boolean validate(Request request)

    - #### isNonceStale

          public boolean isNonceStale()

    - #### authenticate

          public Principal authenticate(Realm realm)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.